VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Dialogs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private WithEvents mdlg As dlgDemo
Attribute mdlg.VB_VarHelpID = -1
Event NotifyClients(ByVal Data As String)

Private Sub mdlg_NotifyClients(ByVal Data As String)
    RaiseEvent NotifyClients(Data)
End Sub

Private Sub Class_Initialize()
    Debug.Print "Dialogs object created"
    Set mdlg = New dlgDemo
End Sub


Private Sub Class_Terminate()
    Debug.Print "Dialogs object terminated"
    Unload mdlg
    Set mdlg = Nothing
End Sub

Public Function ShowDialog(Optional ByVal Text As String = "", Optional ByVal Modal As Boolean = True) As String
    With mdlg
        .txtDemo.Text = Text
        If Modal Then
            .Caption = "Modal Dialog Box"
            .Show vbModal
            ShowDialog = .txtDemo.Text
        Else
            .Caption = "Modeless Dialog Box"
            .Show vbModeless
        End If
    End With
End Function

